%==========================================================================
function f = Phase_C_Obj(P,t,x,IC)
% Compute Objective Function where the minimizer, x, for the objective function is
% derived from the numerical solution of the ODE
%==========================================================================
    
    % Plug in current ODE parameters and compute current minimizer, x, based on the
    % the numerical solution to the second-order of ODEs
    [T,X] = ode15s(@Phase_C_Ode, t, IC, [], P);
 
    % Extract reconstructed voltage
    global V;
    shift = P(end);
    V = X(:,1) + shift;
    f = sum( (x-V).^2 );
    disp(sprintf('f = %9.7f',f));
return    